searchData={"items":[{"type":"task","title":"mix nerves.loaddefconfig","doc":"Load the nerves_defconfig configuration into the Nerves artifact.\nThis is the opposite of `make savedefconfig`.","ref":"Mix.Tasks.Nerves.Loaddefconfig.html"},{"type":"task","title":"Usage - mix nerves.loaddefconfig","doc":"mix nerves.loaddefconfig","ref":"Mix.Tasks.Nerves.Loaddefconfig.html#module-usage"},{"type":"extras","title":"Compulab IOT-GATE-IMX8PLUS","doc":"# Compulab IOT-GATE-IMX8PLUS\n\nThis is the base Nerves System configuration for the\n[Compulab IOT-GATE-IMX8PLUS](https://www.compulab.com/products/iot-gateways/iot-gate-imx8plus-industrial-arm-iot-gateway).\n\n![IOT-GATE](assets/images/iot-gate.jpg)\n  [Image credit](#compulab) \n\n| Feature        | Description                                                 |\n| -------------- | ----------------------------------------------------------- |\n| CPU            | 1.8 GHz quad-core Cortex-A53 (64-bi)                        |\n| NPU            | AI/ML Neural Processing Unit, up to 2.3 TOPS                |\n| MCU            | ARM Cortex-M7, 800Mhz                                       |\n| Storage        | eMMC                                                        |\n| Linux kernel   | 6.1                                                         |\n| IEx terminal   | UART `ttymxc1`                                              |\n| GPIO, I2C, SPI | Yes - [Elixir Circuits](https://github.com/elixir-circuits) |\n| Display        | Yes                                                         |\n| Ethernet       | Yes                                                         |\n| WiFi           | Yes                                                         |\n| Bluetooth      | Yes                                                         |\n| RTC            | Yes                                                         |\n| HW Watchdog    | Yes                                                         |\n\n[Image credit](#compulab): This image is from\n[compulab.com](https://www.compulab.com/products/iot-gateways/iot-gate-imx8plus-industrial-arm-iot-gateway).","ref":"readme.html"},{"type":"extras","title":"Getting started - Compulab IOT-GATE-IMX8PLUS","doc":"The IOT-GATE-IMX8PLUS gateway expects the bootloader to be located on hardware BOOT partition 1. When flashing firmware, ensure that both the bootloader and a complete disk image, generated using the fwup CLI tool, are provided.\n\n#### Prerequisites\n\n- [NXP mfgtools](https://github.com/nxp-imx/mfgtools)\n- [fwup](https://github.com/fwup-home/fwup)\n\n#### Building a firmware image\n\n```\nfwup -a \\\n  -d $FW_PROJECT_DIR/_build/$TARGET/nerves/images/firmware.img \\\n  -i $FW_PROJECT_DIR/_build/$TARGET/nerves/images/firmware.fw  \\\n  -t complete\n```\n\n#### Flashing the firmware image\n\n```\nuuu \\\n  -b emmc_all \\\n  $BINARIES_DIR/imx8-boot-sd.bin \\\n  $FW_PROJECT_DIR/_build/$TARGET/nerves/images/firmware.img\n```\n\n#### Flashing only U-Boot\n\n```\nuuu -b emmc $BINARIES_DIR/imx8-boot-sd.bin\n```","ref":"readme.html#getting-started"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"Preliminary release that boots Nerves. Peripherals have not been validated.\n\n- Dependencies\n  - [Erlang/OTP 27.0.1](https://erlang.org/download/OTP-27.0.1.README)\n  - [Buildroot 2024.05.1](https://lore.kernel.org/buildroot/87ed7xfq78.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}